using System.Collections.Generic;
using System.Collections.ObjectModel;

namespace Valg.EVA.Skanning.JobManagement.Startup.UI.Duplicates
{
    public class BoxesSummaryViewModel : ReactiveViewModel
    {
        public BoxesSummaryViewModel()
        {
            Boxes = new ObservableCollection<BoxViewModel>();
        }

        public void Initialize(List<BoxViewModel> boxesInvolved)
        {
            foreach (var boxViewModel in boxesInvolved)
            {
                Boxes.Add(boxViewModel);
            }
        }

        public ObservableCollection<BoxViewModel> Boxes { get; set; }
    }
}
